Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee.statistics
Class StatisticImpl

    java.lang.Object
      org.jboss.management.j2ee.statistics.StatisticImpl

All Implemented Interfaces:
  Serializable, javax.management.j2ee.statistics.Statistic

Direct Known Subclasses:
  BoundaryStatisticImpl, BoundedRangeStatisticImpl, CountStatisticImpl, RangeStatisticImpl, TimeStatisticImpl

public abstract class StatisticImpl
extends Object
implements javax.management.j2ee.statistics.Statistic, Serializable

JBoss Implementation of the base Model for a Statistic Information

Version:
  $Revision: 1.4 $
Author:
  Marc Fleury, Scott.Stark@jboss.org
See Also:
  Serialized Form

Field Summary
`protected String` | `description`
`protected long` | `lastSampleTime`
`protected String` | `name`
`protected long` | `startTime`
`protected String` | `units`

Constructor Summary
`StatisticImpl(String name, String units, String description)` Create a named Statistic.

Method Summary
`String` | `getDescription()` A human-readable description of the Statistic.
`long` | `getLastSampleTime()` The time of the last measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.
`String` | `getName()` The name of this Statistic.
`long` | `getStartTime()` The time of the first measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.
`String` | `getUnit()` The unit of measurement for this Statistic.
`void` | `reset()` Reset the lastSampleTime and startTime to the current time
`void` | `set()` Update the lastSampleTime and startTime on first call
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected String name

### units

    protected String units

### description

    protected String description

### startTime

    protected long startTime

### lastSampleTime

    protected long lastSampleTime

Constructor Detail

### StatisticImpl

    public StatisticImpl(String name,
                         String units,
                         String description)

  Create a named Statistic.

Parameters:
  `name` - Name of the statistic
  `units` - Unit description used in this statistic
  `description` - Human description of the statistic

Method Detail

### getName

    public String getName()

  Description copied from interface: `javax.management.j2ee.statistics.Statistic`
  The name of this Statistic.

  Specified by:
    `getName` in interface `javax.management.j2ee.statistics.Statistic`

### getUnit

    public String getUnit()

  Description copied from interface: `javax.management.j2ee.statistics.Statistic`
  The unit of measurement for this Statistic. Valid values for TimeStatistic measurements are "HOUR", "MINUTE", "SECOND", "MILLISECOND", "MICROSECOND" and "NANOSECOND".

  Specified by:
    `getUnit` in interface `javax.management.j2ee.statistics.Statistic`

### getDescription

    public String getDescription()

  Description copied from interface: `javax.management.j2ee.statistics.Statistic`
  A human-readable description of the Statistic.

  Specified by:
    `getDescription` in interface `javax.management.j2ee.statistics.Statistic`

### getStartTime

    public long getStartTime()

  Description copied from interface: `javax.management.j2ee.statistics.Statistic`
  The time of the first measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.

  Specified by:
    `getStartTime` in interface `javax.management.j2ee.statistics.Statistic`

### getLastSampleTime

    public long getLastSampleTime()

  Description copied from interface: `javax.management.j2ee.statistics.Statistic`
  The time of the last measurement represented as a long, whose value is the number of milliseconds since January 1, 1970, 00:00:00.

  Specified by:
    `getLastSampleTime` in interface `javax.management.j2ee.statistics.Statistic`

### reset

    public void reset()

  Reset the lastSampleTime and startTime to the current time

### set

    public void set()

  Update the lastSampleTime and startTime on first call

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.